Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.filter
Class FilterMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
          org.jboss.portal.portlet.impl.metadata.filter.FilterMetaData

    public class FilterMetaData

extends DescribableMetaData

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`FilterMetaData()`

Method Summary
`void` | `addInitParam(InitParamMetaData initParam)`
`void` | `addLifecycle(LifeCyclePhase lifecycle)`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getFilterClass()`
`java.lang.String` | `getFilterName()`
`java.util.List<InitParamMetaData>` | `getInitParams()`
`java.util.List<LifeCyclePhase>` | `getLifecycle()`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayNames)`
`void` | `setFilterClass(java.lang.String filterClass)`
`void` | `setFilterName(java.lang.String filterName)`
`void` | `setInitParams(java.util.List<InitParamMetaData> initParams)`
`void` | `setLifecycle(java.util.List<LifeCyclePhase> lifecycle)`

Methods inherited from class org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterMetaData

    public FilterMetaData()

Method Detail

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getFilterClass

    public java.lang.String getFilterClass()

### setFilterClass

    public void setFilterClass(java.lang.String filterClass)

### getLifecycle

    public java.util.List<LifeCyclePhase> getLifecycle()

### setLifecycle

    public void setLifecycle(java.util.List<LifeCyclePhase> lifecycle)

### addLifecycle

    public void addLifecycle(LifeCyclePhase lifecycle)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayNames)

### getInitParams

    public java.util.List<InitParamMetaData> getInitParams()

### setInitParams

    public void setInitParams(java.util.List<InitParamMetaData> initParams)

### addInitParam

    public void addInitParam(InitParamMetaData initParam)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.